TSPTestUtil (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp.test

## Class TSPTestUtil

- java.lang.Object
- - org.bouncycastle.tsp.test.TSPTestUtil

-     public class TSPTestUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`
    `static javax.crypto.KeyGenerator` | `desede128kg`
    `static javax.crypto.KeyGenerator` | `desede192kg`
    `static org.bouncycastle.asn1.ASN1ObjectIdentifier` | `EuroPKI_TSA_Test_Policy`
    `static JcaX509ExtensionUtils` | `extUtils`
    `static java.security.KeyPairGenerator` | `kpg`
    `static java.security.SecureRandom` | `rand`
    `static javax.crypto.KeyGenerator` | `rc2128kg`
    `static javax.crypto.KeyGenerator` | `rc240kg`
    `static javax.crypto.KeyGenerator` | `rc264kg`
    `static java.math.BigInteger` | `serialNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TSPTestUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `dumpBase64(byte[] data)`
    `static java.security.cert.X509Certificate` | `makeCACertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN)`
    `static java.security.cert.X509Certificate` | `makeCertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN)`
    `static java.security.cert.X509Certificate` | `makeCertificate(java.security.KeyPair _subKP, java.lang.String _subDN, java.security.KeyPair _issKP, java.lang.String _issDN, boolean _ca)`
    `static javax.crypto.SecretKey` | `makeDesede128Key()`
    `static javax.crypto.SecretKey` | `makeDesede192Key()`
    `static java.security.KeyPair` | `makeKeyPair()`
    `static javax.crypto.SecretKey` | `makeRC2128Key()`
    `static javax.crypto.SecretKey` | `makeRC240Key()`
    `static javax.crypto.SecretKey` | `makeRC264Key()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rand

          public static java.security.SecureRandom rand

    - #### kpg

          public static java.security.KeyPairGenerator kpg

    - #### desede128kg

          public static javax.crypto.KeyGenerator desede128kg

    - #### desede192kg

          public static javax.crypto.KeyGenerator desede192kg

    - #### rc240kg

          public static javax.crypto.KeyGenerator rc240kg

    - #### rc264kg

          public static javax.crypto.KeyGenerator rc264kg

    - #### rc2128kg

          public static javax.crypto.KeyGenerator rc2128kg

    - #### serialNumber

          public static java.math.BigInteger serialNumber

    - #### DEBUG

          public static final boolean DEBUG

      See Also:
        Constant Field Values

    - #### EuroPKI_TSA_Test_Policy

          public static org.bouncycastle.asn1.ASN1ObjectIdentifier EuroPKI_TSA_Test_Policy

    - #### extUtils

          public static JcaX509ExtensionUtils extUtils

  - ### Constructor Detail

    - #### TSPTestUtil

          public TSPTestUtil()

  - ### Method Detail

    - #### dumpBase64

          public static java.lang.String dumpBase64(byte[] data)

    - #### makeKeyPair

          public static java.security.KeyPair makeKeyPair()

    - #### makeDesede128Key

          public static javax.crypto.SecretKey makeDesede128Key()

    - #### makeDesede192Key

          public static javax.crypto.SecretKey makeDesede192Key()

    - #### makeRC240Key

          public static javax.crypto.SecretKey makeRC240Key()

    - #### makeRC264Key

          public static javax.crypto.SecretKey makeRC264Key()

    - #### makeRC2128Key

          public static javax.crypto.SecretKey makeRC2128Key()

    - #### makeCertificate

          public static java.security.cert.X509Certificate makeCertificate(java.security.KeyPair _subKP,
                                                           java.lang.String _subDN,
                                                           java.security.KeyPair _issKP,
                                                           java.lang.String _issDN)
                                                                    throws java.security.GeneralSecurityException,
                                                                           java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### makeCACertificate

          public static java.security.cert.X509Certificate makeCACertificate(java.security.KeyPair _subKP,
                                                             java.lang.String _subDN,
                                                             java.security.KeyPair _issKP,
                                                             java.lang.String _issDN)
                                                                      throws java.security.GeneralSecurityException,
                                                                             java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`

    - #### makeCertificate

          public static java.security.cert.X509Certificate makeCertificate(java.security.KeyPair _subKP,
                                                           java.lang.String _subDN,
                                                           java.security.KeyPair _issKP,
                                                           java.lang.String _issDN,
                                                           boolean _ca)
                                                                    throws java.security.GeneralSecurityException,
                                                                           java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`